Skip to main content
POST
Create a cluster

Autorisaties

Authorization
string
header
vereist

OAuth 2.0-toegangstoken verkregen via POST /oauth/token met client_credentials-grant. Tenant en scopes zijn ingebed in de JWT, er zijn geen extra headers nodig.

Body

application/json
name
string
vereist
Voorbeeld:

"North Campus"

locationIds
string[]
vereist
Minimum array length: 1
Voorbeeld:
limitKw
number<float> | null

Optioneel clusterbreed kW-plafond.

Voorbeeld:

200

Respons

Cluster aangemaakt

clusterId
string
Voorbeeld:

"clst_20260612_a1b2c3d4"

tenantUuid
string
name
string
Voorbeeld:

"North Campus"

locationIds
string[]
Voorbeeld:
limitKw
number | null
Voorbeeld:

200

status
enum<string>
Beschikbare opties:
ACTIVE,
INACTIVE
createdAt
string<date-time>
updatedAt
string<date-time>